libabw Namespace Reference documentation

Classes | Typedefs | Enumerations | Functions
libabw Namespace Reference

## Classes
class | ABWCloseEndnoteElement
class | ABWCloseFooterElement
class | ABWCloseFootnoteElement
class | ABWCloseFrameElement
class | ABWCloseHeaderElement
class | ABWCloseLinkElement
class | ABWCloseListElementElement
class | ABWCloseOrderedListLevelElement
class | ABWClosePageSpanElement
class | ABWCloseParagraphElement
class | ABWCloseSectionElement
class | ABWCloseSpanElement
class | ABWCloseTableCellElement
class | ABWCloseTableElement
class | ABWCloseTableRowElement
class | ABWCloseTextBoxElement
class | ABWCloseUnorderedListLevelElement
class | ABWCollector
class | ABWContentCollector
struct | ABWContentParsingState
struct | ABWContentTableState
struct | ABWData
class | ABWInsertBinaryObjectElement
class | ABWInsertCoveredTableCellElement
class | ABWInsertFieldElement
class | ABWInsertLineBreakElement
class | ABWInsertSpaceElement
class | ABWInsertTabElement
class | ABWInsertTextElement
struct | ABWListElement
class | ABWOpenEndnoteElement
class | ABWOpenFooterElement
class | ABWOpenFootnoteElement
class | ABWOpenFrameElement
class | ABWOpenHeaderElement
class | ABWOpenLinkElement
class | ABWOpenListElementElement
class | ABWOpenOrderedListLevelElement
class | ABWOpenPageSpanElement
class | ABWOpenParagraphElement
class | ABWOpenSectionElement
class | ABWOpenSpanElement
class | ABWOpenTableCellElement
class | ABWOpenTableElement
class | ABWOpenTableRowElement
class | ABWOpenTextBoxElement
class | ABWOpenUnorderedListLevelElement
struct | ABWOrderedListElement
class | ABWOutputElement
class | ABWOutputElements
class | ABWParser
struct | ABWParserState
struct | ABWStyle
class | ABWStylesCollector
struct | ABWStylesParsingState
struct | ABWStylesTableState
struct | ABWUnorderedListElement
class | ABWXMLProgressWatcher
class | ABWXMLString
class | ABWXMLTokenMap
class | ABWZlibStream

## Typedefs
typedef std::map< std::string, std::string > | ABWPropertyMap

## Enumerations
enum | ABWUnit { ABW_NONE, ABW_CM, ABW_IN, ABW_MM, ABW_PI, ABW_PT, ABW_PX, ABW_PERCENT }
enum | ABWListType { ABW_ORDERED, ABW_UNORDERED }
enum | ABWContext { ABW_SECTION, ABW_HEADER, ABW_FOOTER, ABW_FRAME_IMAGE, ABW_FRAME_TEXTBOX, ABW_FRAME_UNKNOWN }

## Functions
static xmlChar * | call_BAD_CAST_OnConst (char const *str)
bool | findInt (const std::string &str, int &res)
bool | findDouble (const std::string &str, double &res, ABWUnit &unit)
void | parsePropString (const std::string &str, ABWPropertyMap &props)
std::unique_ptr< xmlTextReader, void(*)(xmlTextReaderPtr)> | xmlReaderForStream (librevenge::RVNGInputStream *input, ABWXMLProgressWatcher *watcher)
void | debugPrint (const char *const format,...)

## Typedef Documentation

## ◆ ABWPropertyMap

typedef std::map<std::string, std::string> libabw::ABWPropertyMap

## Enumeration Type Documentation

## ◆ ABWContext

enum libabw::ABWContext

Enumerator
ABW_SECTION |
ABW_HEADER |
ABW_FOOTER |
ABW_FRAME_IMAGE |
ABW_FRAME_TEXTBOX |
ABW_FRAME_UNKNOWN |

## ◆ ABWListType

enum libabw::ABWListType

Enumerator
ABW_ORDERED |
ABW_UNORDERED |

## ◆ ABWUnit

enum libabw::ABWUnit

Enumerator
ABW_NONE |
ABW_CM |
ABW_IN |
ABW_MM |
ABW_PI |
ABW_PT |
ABW_PX |
ABW_PERCENT |

## Function Documentation

## ◆ call_BAD_CAST_OnConst()

static xmlChar* libabw::call_BAD_CAST_OnConst | ( | char const * | str | ) |
| static

Referenced by libabw::ABWParser::readA(), libabw::ABWParser::readAbiword(), libabw::ABWParser::readC(), libabw::ABWParser::readCell(), libabw::ABWParser::readD(), libabw::ABWParser::readEndnote(), libabw::ABWParser::readField(), libabw::ABWParser::readFoot(), libabw::ABWParser::readFrame(), libabw::ABWParser::readImage(), libabw::ABWParser::readL(), libabw::ABWParser::readM(), libabw::ABWParser::readP(), libabw::ABWParser::readPageSize(), libabw::ABWParser::readS(), libabw::ABWParser::readSection(), and libabw::ABWParser::readTable().

## ◆ debugPrint()

void libabw::debugPrint | ( | const char *const | format,
|  |  | ...
| ) |  |

## ◆ findDouble()

bool libabw::findDouble | ( | const std::string & | str,
|  | double & | res,
|  | ABWUnit & | unit
| ) |  |

Referenced by libabw::ABWContentCollector::_addBorderProperties(), libabw::ABWContentCollector::_fillParagraphProperties(), libabw::ABWContentCollector::_openSection(), libabw::ABWContentCollector::_openSpan(), libabw::ABWContentCollector::_openTable(), libabw::ABWContentCollector::collectPageSize(), libabw::ABWStylesCollector::collectParagraphProperties(), libabw::ABWContentCollector::collectSectionProperties(), libabw::ABWContentCollector::insertImage(), and libabw::ABWContentCollector::openFrame().

## ◆ findInt()

bool libabw::findInt | ( | const std::string & | str,
|  | int & | res
| ) |  |

Referenced by libabw::ABWContentCollector::_addBorderProperties(), libabw::ABWContentCollector::_fillParagraphProperties(), libabw::ABWContentCollector::_openSection(), libabw::ABWContentCollector::_openTableCell(), libabw::ABWContentCollector::_recurseTextProperties(), libabw::ABWContentCollector::collectHeaderFooter(), libabw::ABWStylesCollector::collectList(), libabw::ABWStylesCollector::collectParagraphProperties(), libabw::ABWContentCollector::collectParagraphProperties(), libabw::ABWContentCollector::collectSectionProperties(), libabw::ABWContentCollector::getCellPos(), libabw::ABWStylesCollector::openCell(), and libabw::ABWContentCollector::openFrame().

## ◆ parsePropString()

void libabw::parsePropString | ( | const std::string & | str,
|  | ABWPropertyMap & | props
| ) |  |

Referenced by libabw::ABWContentCollector::collectCharacterProperties(), libabw::ABWContentCollector::collectDocumentProperties(), libabw::ABWStylesCollector::collectParagraphProperties(), libabw::ABWContentCollector::collectParagraphProperties(), libabw::ABWContentCollector::collectSectionProperties(), libabw::ABWContentCollector::collectTextStyle(), libabw::ABWContentCollector::insertImage(), libabw::ABWStylesCollector::openCell(), libabw::ABWContentCollector::openCell(), libabw::ABWContentCollector::openFrame(), and libabw::ABWContentCollector::openTable().

## ◆ xmlReaderForStream()

std::unique_ptr< xmlTextReader, void(*)(xmlTextReaderPtr)> libabw::xmlReaderForStream | ( | librevenge::RVNGInputStream * | input,
|  | ABWXMLProgressWatcher * | watcher
| ) |  |

Referenced by libabw::ABWParser::processXmlDocument().